gpo.zugaina.org

Search Portage & Overlays:

dev-db/postgresql

PostgreSQL RDBMS

Screenshots

  • postgresql-9999
    debug icu kerberos kernel_linux ldap libressl llvm nls pam perl python +readline selinux systemd ssl static-libs tcl threads uuid xml zlib l10n_af l10n_cs l10n_de l10n_en l10n_es l10n_fa l10n_fr l10n_hr l10n_hu l10n_it l10n_ko l10n_nb l10n_pl l10n_pt-BR l10n_ro l10n_ru l10n_sk l10n_sl l10n_sv l10n_tr l10n_zh-CN l10n_zh-TW elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-12.1
    alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris
    debug doc icu kerberos kernel_linux ldap libressl llvm nls pam perl python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-12.0
    ~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris
    debug doc icu kerberos kernel_linux ldap libressl llvm nls pam perl python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-11.6
    alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris
    debug doc icu kerberos kernel_linux ldap libressl llvm nls pam perl python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-11.5
    ~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris
    debug doc icu kerberos kernel_linux ldap libressl llvm nls pam perl python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-11.4
    alpha amd64 arm arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris
    debug doc icu kerberos kernel_linux ldap libressl llvm nls pam perl python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-10.11
    alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-macos ~x86-solaris
    debug doc icu kerberos kernel_linux ldap libressl nls pam perl python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-10.10
    ~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-macos ~x86-solaris
    debug doc icu kerberos kernel_linux ldap libressl nls pam perl python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-10.9
    alpha amd64 arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-macos ~x86-solaris
    debug doc icu kerberos kernel_linux ldap libressl nls pam perl python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.6.16
    alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris
    debug doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.6.15
    ~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris
    debug doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.6.14
    alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris
    debug doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.6.13-r1
    ~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris
    debug doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.6.13
    alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris
    doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_single_target_python2_7 python_single_target_python3_6

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.5.20
    alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-macos ~x86-solaris
    debug doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.5.19
    ~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-macos ~x86-solaris
    debug doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.5.18
    alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-macos ~x86-solaris
    debug doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.5.17-r1
    ~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-macos ~x86-solaris
    debug doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.5.17
    alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-macos ~x86-solaris
    doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_single_target_python2_7 python_single_target_python3_6

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.4.25
    alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-macos ~x86-solaris
    debug doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.4.24
    ~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-macos ~x86-solaris
    debug doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.4.23
    alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-macos ~x86-solaris
    debug doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.4.22-r1
    ~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-macos ~x86-solaris
    debug doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 python_single_target_python2_7 python_single_target_python3_6 python_single_target_python3_7

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.4.22
    alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-macos ~x86-solaris
    doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib elibc_glibc elibc_uclibc elibc_musl elibc_FreeBSD elibc_NetBSD elibc_OpenBSD kernel_linux python_targets_python2_7 python_targets_python3_6 python_single_target_python2_7 python_single_target_python3_6

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: gentoo (distro)
  • postgresql-9.3.25
    doc kerberos kernel_linux ldap libressl nls pam perl -pg_legacytimestamp python +readline selinux +server systemd ssl static-libs tcl threads uuid xml zlib kernel_linux python_targets_python2_7 python_targets_python3_5 python_targets_python3_6 python_single_target_python2_7 python_single_target_python3_5 python_single_target_python3_6

    View      Download      Browse     License: POSTGRESQL GPL-2   
    Overlay: fordfrog (layman)

Runtime Dependencies

postgresql-9999

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

icu?
      ( dev-libs/icu:= )

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

llvm?
      ( sys-devel/llvm:= sys-devel/clang:= )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

systemd?
      ( sys-apps/systemd )

tcl?
      ( >=dev-lang/tcl-8:0= )

uuid?
      ( dev-libs/ossp-uuid )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:13
!dev-db/postgresql-base:13
!dev-db/postgresql-server:13

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-12.1

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

icu?
      ( dev-libs/icu:= )

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

llvm?
      ( sys-devel/llvm:= sys-devel/clang:= )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

server?
      ( systemd?
            ( sys-apps/systemd )
       )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:12
!dev-db/postgresql-base:12
!dev-db/postgresql-server:12

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-12.0

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

icu?
      ( dev-libs/icu:= )

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

llvm?
      ( sys-devel/llvm:= sys-devel/clang:= )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

server?
      ( systemd?
            ( sys-apps/systemd )
       )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:12
!dev-db/postgresql-base:12
!dev-db/postgresql-server:12

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-11.6

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

icu?
      ( dev-libs/icu:= )

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

llvm?
      ( sys-devel/llvm:= sys-devel/clang:= )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

server?
      ( systemd?
            ( sys-apps/systemd )
       )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:11
!dev-db/postgresql-base:11
!dev-db/postgresql-server:11

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-11.5

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

icu?
      ( dev-libs/icu:= )

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

llvm?
      ( sys-devel/llvm:= sys-devel/clang:= )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

server?
      ( systemd?
            ( sys-apps/systemd )
       )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:11
!dev-db/postgresql-base:11
!dev-db/postgresql-server:11

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-11.4

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

icu?
      ( dev-libs/icu:= )

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

llvm?
      ( sys-devel/llvm:= sys-devel/clang:= )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

server?
      ( systemd?
            ( sys-apps/systemd )
       )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:11
!dev-db/postgresql-base:11
!dev-db/postgresql-server:11

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-10.11

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

icu?
      ( dev-libs/icu:= )

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

server?
      ( systemd?
            ( sys-apps/systemd )
       )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:10
!dev-db/postgresql-base:10
!dev-db/postgresql-server:10

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-10.10

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

icu?
      ( dev-libs/icu:= )

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

server?
      ( systemd?
            ( sys-apps/systemd )
       )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:10
!dev-db/postgresql-base:10
!dev-db/postgresql-server:10

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-10.9

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

icu?
      ( dev-libs/icu:= )

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

server?
      ( systemd?
            ( sys-apps/systemd )
       )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:10
!dev-db/postgresql-base:10
!dev-db/postgresql-server:10

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.6.16

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

server?
      ( systemd?
            ( sys-apps/systemd )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.6
!dev-db/postgresql-base:9.6
!dev-db/postgresql-server:9.6

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.6.15

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

server?
      ( systemd?
            ( sys-apps/systemd )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.6
!dev-db/postgresql-base:9.6
!dev-db/postgresql-server:9.6

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.6.14

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

server?
      ( systemd?
            ( sys-apps/systemd )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.6
!dev-db/postgresql-base:9.6
!dev-db/postgresql-server:9.6

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.6.13-r1

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

server?
      ( systemd?
            ( sys-apps/systemd )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.6
!dev-db/postgresql-base:9.6
!dev-db/postgresql-server:9.6

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.6.13

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

server?
      ( systemd?
            ( sys-apps/systemd )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.6
!dev-db/postgresql-base:9.6
!dev-db/postgresql-server:9.6

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.5.20

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.5
!dev-db/postgresql-base:9.5
!dev-db/postgresql-server:9.5

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.5.19

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.5
!dev-db/postgresql-base:9.5
!dev-db/postgresql-server:9.5

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.5.18

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.5
!dev-db/postgresql-base:9.5
!dev-db/postgresql-server:9.5

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.5.17-r1

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.5
!dev-db/postgresql-base:9.5
!dev-db/postgresql-server:9.5

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.5.17

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.5
!dev-db/postgresql-base:9.5
!dev-db/postgresql-server:9.5

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.4.25

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.4
!dev-db/postgresql-base:9.4
!dev-db/postgresql-server:9.4

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.4.24

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.4
!dev-db/postgresql-base:9.4
!dev-db/postgresql-server:9.4

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.4.23

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.4
!dev-db/postgresql-base:9.4
!dev-db/postgresql-server:9.4

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.4.22-r1

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       python_single_target_python3_7?
            ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.4
!dev-db/postgresql-base:9.4
!dev-db/postgresql-server:9.4

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.4.22

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7] )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 >=dev-lang/python-exec-2:=[python_targets_python3_6] )
       )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

uuid?
      ( elibc_glibc?
            ( sys-apps/util-linux )
       elibc_uclibc?
            ( sys-apps/util-linux )
       elibc_musl?
            ( sys-apps/util-linux )
       !elibc_glibc?
            ( !elibc_uclibc?
                  ( !elibc_musl?
                        ( !elibc_FreeBSD?
                              ( !elibc_NetBSD?
                                    ( !elibc_OpenBSD?
                                          ( dev-libs/ossp-uuid )
                                     )
                               )
                         )
                   )
             )
       )

!dev-db/postgresql-docs:9.4
!dev-db/postgresql-base:9.4
!dev-db/postgresql-server:9.4

selinux?
      ( sec-policy/selinux-postgresql )

postgresql-9.3.25

>=app-eselect/eselect-postgresql-2.0
sys-apps/less
virtual/libintl

kerberos?
      ( virtual/krb5 )

ldap?
      ( net-nds/openldap )

pam?
      ( sys-libs/pam )

perl?
      ( >=dev-lang/perl-5.8:= )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 )
       python_single_target_python3_5?
            ( dev-lang/python:3.5 )
       python_single_target_python3_6?
            ( dev-lang/python:3.6 )
       >=dev-lang/python-exec-2:=[python_targets_python2_7
            (-)
      ?
,python_targets_python3_5
            (-)
      ?
,python_targets_python3_6
            (-)
      ?
,-python_single_target_jython2_7
            (-)
      ,-python_single_target_pypy
            (-)
      ,-python_single_target_pypy3
            (-)
      ,-python_single_target_python3_7
            (-)
      ,python_single_target_python2_7
            (+)
      ?
,python_single_target_python3_5
            (+)
      ?
,python_single_target_python3_6
            (+)
      ?
] )

readline?
      ( sys-libs/readline:0= )

ssl?
      ( !libressl?
            ( >=dev-libs/openssl-0.9.6-r1:0= )
       libressl?
            ( dev-libs/libressl:= )
       )

tcl?
      ( >=dev-lang/tcl-8:0= )

uuid?
      ( dev-libs/ossp-uuid )

xml?
      ( dev-libs/libxml2 dev-libs/libxslt )

zlib?
      ( sys-libs/zlib )

!dev-db/postgresql-docs:9.3
!dev-db/postgresql-base:9.3
!dev-db/postgresql-server:9.3

selinux?
      ( sec-policy/selinux-postgresql )